diff -u -r1.2 serial.c
--- cpu/arm920t/at91rm9200/serial.c	20 Apr 2005 12:36:12 -0000	1.2
+++ cpu/arm920t/at91rm9200/serial.c	26 Apr 2005 12:40:57 -0000
@@ -56,7 +56,7 @@
 	if ((baudrate = gd->baudrate) <= 0)
 		baudrate = CONFIG_BAUDRATE;
 	/* MASTER_CLOCK/(16 * baudrate) */
-	us->US_BRGR = (AT91C_MASTER_CLOCK >> 4)/baudrate;
+	us->US_BRGR = (AT91C_MASTER_CLOCK >> 4) / (unsigned)baudrate;
 }
 
 int serial_init (void)
diff -u -r1.17 cfi_flash.c
--- drivers/cfi_flash.c	13 Apr 2005 10:02:47 -0000	1.17
+++ drivers/cfi_flash.c	26 Apr 2005 12:40:57 -0000
@@ -539,7 +539,7 @@
 		i = buffered_size > cnt ? cnt : buffered_size;
 		if ((rc = flash_write_cfibuffer (info, wp, src, i)) != ERR_OK)
 			return rc;
-		i -= (i % info->portwidth);
+		i -= i & (info->portwidth - 1);
 		wp += i;
 		src += i;
 		cnt -= i;
@@ -787,7 +787,7 @@
 	uchar *cp = (uchar *) cmdbuf;
 
 	for (i = 0; i < info->portwidth; i++)
-		*cp++ = ((i + 1) % info->chipwidth) ? '\0' : cmd;
+		*cp++ = ((i + 1) & (info->chipwidth - 1)) ? '\0' : cmd;
 #if defined(__LITTLE_ENDIAN)
 	switch (info->portwidth) {
 	case FLASH_CFI_8BIT:
